GET api/cleanroomapi/cleanroom/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
CleanRoomViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_type_id | globally unique identifier |
Required |
|
| communication_server_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| local_name | string |
None. |
|
| name | string |
Required |
|
| type_of_temperature | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_type_id": "86b00f01-0bb5-47d0-a7cd-84f40aaa87f2",
"communication_server_id": "0052a43a-2b5b-4f48-801b-faad1576bdce",
"id": "00556afa-ef25-4838-84d3-f50aaee8f79b",
"local_id": 1,
"local_name": "sample string 3",
"name": "sample string 4",
"type_of_temperature": "sample string 5"
}
application/xml, text/xml
Sample:
<cleanroom xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <cleanroom_type_id>86b00f01-0bb5-47d0-a7cd-84f40aaa87f2</cleanroom_type_id> <communication_server_id>0052a43a-2b5b-4f48-801b-faad1576bdce</communication_server_id> <id>00556afa-ef25-4838-84d3-f50aaee8f79b</id> <local_id>1</local_id> <local_name>sample string 3</local_name> <name>sample string 4</name> <type_of_temperature>sample string 5</type_of_temperature> </cleanroom>